> ## Documentation Index
> Fetch the complete documentation index at: https://pinata-mintlify-a8f2129e.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Authentication

> Test your API keys and your ability to connect to the Pinata API



## OpenAPI

````yaml get /data/testAuthentication
openapi: 3.0.0
info:
  title: Pinata API
  description: ''
  termsOfService: https://www.pinata.cloud/terms-conditions
  contact:
    name: Pinata Team
    email: team@pinata.cloud
  version: 1.0.0
servers:
  - url: https://api.pinata.cloud
security:
  - bearerAuth: []
paths:
  /data/testAuthentication:
    get:
      summary: Test Authentication
      description: Test your API keys and your ability to connect to the Pinata API
      responses:
        '200':
          description: |-
            {
                message: "Congratulations! You are communicating with the Pinata API!"
            }
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200'
      security:
        - bearerAuth: []
      servers:
        - url: https://api.pinata.cloud
components:
  schemas:
    inline_response_200:
      type: object
      properties:
        message:
          type: string
      x-examples:
        Example 1:
          message: Congratulations! You are communicating with the Pinata API!
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````